#include <bits/stdc++.h>


using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int N , M;
    cin >> N >> M;
    vector<map<long long, long long>> REsenje(N + 1);
    int a, b;
    for(int i = 1; i <= N; i++ )
    { 
        cin >> a >> b;
        for(int j = a; j <= b; j++)
        { 
            for(int z = i; z <= N; z++)
            { 
                REsenje[z][j]++;
            }
        }
    }
    long long l, r, masa;
    for(int i = 0; i < M; i++)
    { 
        cin >> l >> r >> masa;
        cout << REsenje[r][masa] - REsenje[l - 1][masa] << endl; 
    }
    
    return 0;
}